
/*
 * *****************************************************************************************
 *
 * 		Copyright (C) 2014-2018 Gowin Semiconductor Technology Co.,Ltd.
 * 		
 * @file		main.c
 * @author		Embedded Development Team
 * @version		V1.0.0
 * @date		2018-5-1 09:00:00
 * @brief		Main program body.
 ******************************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "gw1ns2c.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define KEY_ON	1
#define KEY_OFF	0

uint8_t Key_Scan(GPIO_TypeDef* GPIOx,uint16_t GPIO_Pin);
uint8_t GPIO_ReadInputDataBit(GPIO_TypeDef* GPIOx, uint16_t GPIO_Pin);

void Delay(__IO uint32_t nCount)//25M 1s = 8333000
{
	for(; nCount != 0; nCount--);
}

int main(void)
{
	char i=0;
	SystemInit();
	
  GPIO0->OUTENSET = 0xffffffef;
	GPIO_SetBit(GPIO0,GPIO_Pin_0|GPIO_Pin_1|GPIO_Pin_2|GPIO_Pin_3);
  while(1)
  {
		if(Key_Scan(GPIO0,GPIO_Pin_4)==KEY_ON)
		{
			GPIO_SetBit(GPIO0,GPIO_Pin_0|GPIO_Pin_1|GPIO_Pin_2|GPIO_Pin_3);
			if(0==i){GPIO_ResetBit(GPIO0,GPIO_Pin_0);i++;}
			else if(1==i){GPIO_ResetBit(GPIO0,GPIO_Pin_1);i++;}
			else if(2==i){GPIO_ResetBit(GPIO0,GPIO_Pin_2);i++;}
			else if(3==i){GPIO_ResetBit(GPIO0,GPIO_Pin_3);i=0;}
			else {}
			//GPIO_ResetBit(GPIO0,GPIO_Pin_0);
		}
		Delay(166666); 
  }
}
uint8_t Key_Scan(GPIO_TypeDef* GPIOx,uint16_t GPIO_Pin)
{			
	/*Ƿа */
	if(GPIO_ReadInputDataBit(GPIOx,GPIO_Pin) == KEY_ON )  
	{	 
		/*ȴͷ */
		while(GPIO_ReadInputDataBit(GPIOx,GPIO_Pin) == KEY_ON);   
		return 	KEY_ON;	 
	}
	else
		return KEY_OFF;
}
uint8_t GPIO_ReadInputDataBit(GPIO_TypeDef* GPIOx, uint16_t GPIO_Pin)
{
  uint8_t bitstatus = 0x00; 
  
  if ((GPIOx->DATA & GPIO_Pin) != 0)
  {
    bitstatus = (uint8_t)1;
  }
  else
  {
    bitstatus = (uint8_t)0;
  }
  return bitstatus;
}
